File: changelog

package info (click to toggle)
wcc 0.0.2+dfsg-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 9,128 kB
  • sloc: ansic: 112,224; asm: 1,160; makefile: 1,064; pascal: 133; cpp: 119; sh: 80
file content (46 lines) | stat: -rw-r--r-- 1,929 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
wcc (0.0.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix broken dependency on mktemp in DEP-8 test.
    Thanks to Matthias Klose for the patch. (Closes: #890043)
  * Update Standards-Version to 4.1.3 (no change required)
  * Add lua to Suggests to appease lintian for /usr/share/wcc/scripts/print_G

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 10 Mar 2018 00:46:15 +0100

wcc (0.0.2+dfsg-2) unstable; urgency=medium

  * Various update (Closes: #873783): see belowing comments:
  * using packaged openlibm instead of embedded one.
    embedded openlibm was not able to be built on various arches
  * reducing target to amd64.
    the ldscript used to map relocated section in wsh has only been made for
    this target, making impossible to build wsh for other target than amd64
    without building specific ldscripts for each of them
  * add support to Debian/kfreebsd and Debian/Hurd.
    by embedding the elf-em macros list only when needed
  * This update also correct the binutils dependency (Closes: 873821).
    The error comes from an autogenerated dependency version build
    to binutils
    the udate as the same effect as a binNMU request, the package being
    rebuilt
  * Update std-version to 4.1.0

 -- Philippe Thierry <phil@reseau-libre.net>  Thu, 31 Aug 2017 22:31:12 +0200

wcc (0.0.2+dfsg-1) unstable; urgency=low

  [ Philippe Thierry ]
  * Initial release (Closes: #861390).
  * Updated various spelling error.
  * Updated man pages.
  * Add upstream changelog generation from git commit msg.
  * Updated upstream README to clean installation specific content.

  [ Raphaël Hertzog ]
  * Fix the permissions of the various script files.

 -- Philippe Thierry <phil@reseau-libre.net>  Tue, 23 May 2017 10:32:24 +0200